#!/bin/sh
make -C build install

# get the build directory
BUILD_DIR=$(pwd | grep -o ".*/build")
if [ "" == "${BUILD_DIR}" ]; then
    BUILD_DIR=${PWD}/build
fi
if [ ! -d ${BUILD_DIR} ]; then
    echo "Failed determining build directory : ${BUILD_DIR}"
    exit
fi
MODULE_DIR=$(dirname ${BUILD_DIR})
WORKSPACE=$(dirname ${MODULE_DIR})

if [ "-d" == "${1}" ]; then
    echo "BUILD_DIR=${BUILD_DIR}"
    echo "MODULE_DIR=${MODULE_DIR}"
    echo "WORKSPACE=${WORKSPACE}"
    echo "cp -r ${BUILD_DIR}/../etics-tmp/* ${WORKSPACE}/stage"
    exit
fi

if [ "-v" == "${1}" ]; then
    cp -u -v -r ${BUILD_DIR}/../etics-tmp/* ${WORKSPACE}/stage
else
    COPIED=$(cp -u -v -r ${BUILD_DIR}/../etics-tmp/* ${WORKSPACE}/stage | wc -l)
    echo -e "\e[32m\e[40m copied ${COPIED} files to ${WORKSPACE}/stage \e[0m"
fi


