Summary: emi.fts.agents-common
Name: agents-common
Version:
Release:
License: Apache Software License
Vendor: EMI
Group: System Environment/Libraries
BuildRequires: util-c
BuildRequires: is-interface-devel
BuildRequires: oracle-instantclient-devel
BuildRequires: oracle-instantclient-basic
BuildRequires: log4cpp-devel
BuildRequires: config-service
BuildRequires: gridsite-devel
BuildRequires: cppunit-devel
BuildRequires: docbook-style-xsl
BuildRequires: glib2-devel
BuildRequires: compat-libstdc++-33
BuildRequires: boost-devel
BuildRequires: lcgutil-build-common-cpp
BuildRequires: glite-build-common-cpp
BuildRequires: libtool
BuildRequires: libxml2-devel
BuildRequires: openldap-devel
BuildRequires: globus-gssapi-gsi-devel
BuildRequires: globus-gss-assist-devel
BuildRequires: myproxy-devel
BuildRequires: python-devel
BuildRequires: libxslt
BuildRequires: docbook-style-xsl
Requires: config-service
Requires: util-c
Requires: boost
Requires: log4cpp
BuildRoot: %{_builddir}/%{name}-root
AutoProv: yes
AutoReq: no
Source: %{name}-%{version}.tar.gz

%description
This package provides some basic libraries that are shared between the Transfer Agents.

%prep
 

%setup -c

%build
mkdir -p src/autogen; aclocal -I /usr/share/emi/build/m4 -I /share/build/m4;  libtoolize --force; autoheader; automake --foreign --add-missing --copy; autoconf
./configure --prefix=%{buildroot}/usr --with-version=%{version} --with-interface-version=%{version} --with-dist-location=%{buildroot}/usr --with-glite-location=/usr --with-config-schema-version=1.0.0 --with-gridsite-prefix=/usr --with-emi --with-ltdl-include=/usr/include --with-ltdl-lib=%{_libdir}
 make all
  
  

%install
# libtool rpath problems
QA_SKIP_BUILD_ROOT=1; export QA_SKIP_BUILD_ROOT
rm -rf %{buildroot}
 mkdir -p %{buildroot}
 mkdir -p %{buildroot}/usr; make install
 find %{buildroot} -name '*.la' -exec rm -rf {} \;
 find %{buildroot} -name '*.pc' -exec sed -i -e "s|%{buildroot}||g" {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_libdir}/python2.4/
%dir %{_libdir}/python2.4/site-packages/
%dir %{_libdir}/python2.4/site-packages/glite/
%dir %{_libdir}/python2.4/site-packages/glite/data/
%dir %{_libdir}/python2.4/site-packages/glite/data/agents/
%dir %{_libdir}/python2.4/site-packages/glite/data/agents/sd/
%dir %{_libdir}/python2.4/site-packages/glite/data/agents/utils/
%{_libdir}/libglite_data_agents_common.a
%{_libdir}/libglite_data_agents_common_cred.a
%{_libdir}/libglite_data_agents_common_cred_myproxy.a
%{_libdir}/libglite_data_agents_common_cred_myproxy.so
%{_libdir}/libglite_data_agents_common_cred_myproxy.so.*
%{_libdir}/libglite_data_agents_common_cred.so
%{_libdir}/libglite_data_agents_common_cred.so.*
%{_libdir}/libglite_data_agents_common_dao.a
%{_libdir}/libglite_data_agents_common_dao_oracle.a
%{_libdir}/libglite_data_agents_common_dao_oracle.so
%{_libdir}/libglite_data_agents_common_dao_oracle.so.*
%{_libdir}/libglite_data_agents_common_dao.so
%{_libdir}/libglite_data_agents_common_dao.so.*
%{_libdir}/libglite_data_agents_common_extra.a
%{_libdir}/libglite_data_agents_common_extra.so
%{_libdir}/libglite_data_agents_common_extra.so.*
%{_libdir}/libglite_data_agents_common_model.a
%{_libdir}/libglite_data_agents_common_model.so
%{_libdir}/libglite_data_agents_common_model.so.*
%{_libdir}/libglite_data_agents_common_python.a
%{_libdir}/libglite_data_agents_common_python_sd_module.a
%{_libdir}/libglite_data_agents_common_python_sd_module.so
%{_libdir}/libglite_data_agents_common_python_sd_module.so.*
%{_libdir}/libglite_data_agents_common_python.so
%{_libdir}/libglite_data_agents_common_python.so.*
%{_libdir}/libglite_data_agents_common_python_utils_module.a
%{_libdir}/libglite_data_agents_common_python_utils_module.so
%{_libdir}/libglite_data_agents_common_python_utils_module.so.*
%{_libdir}/libglite_data_agents_common_sd.a
%{_libdir}/libglite_data_agents_common_sd_core.a
%{_libdir}/libglite_data_agents_common_sd_core.so
%{_libdir}/libglite_data_agents_common_sd_core.so.*
%{_libdir}/libglite_data_agents_common_sd.so
%{_libdir}/libglite_data_agents_common_sd.so.*
%{_libdir}/libglite_data_agents_common.so
%{_libdir}/libglite_data_agents_common.so.*
%{_libdir}/python2.4/site-packages/glite/data/agents/__init__.py
%{_libdir}/python2.4/site-packages/glite/data/agents/__init__.pyc
%{_libdir}/python2.4/site-packages/glite/data/agents/__init__.pyo
%{_libdir}/python2.4/site-packages/glite/data/agents/sd/__init__.py
%{_libdir}/python2.4/site-packages/glite/data/agents/sd/__init__.pyc
%{_libdir}/python2.4/site-packages/glite/data/agents/sd/__init__.pyo
%{_libdir}/python2.4/site-packages/glite/data/agents/sd/_sd.so
%{_libdir}/python2.4/site-packages/glite/data/agents/utils/__init__.py
%{_libdir}/python2.4/site-packages/glite/data/agents/utils/__init__.pyc
%{_libdir}/python2.4/site-packages/glite/data/agents/utils/__init__.pyo
%{_libdir}/python2.4/site-packages/glite/data/agents/utils/_utils.so
%{_libdir}/python2.4/site-packages/glite/data/__init__.py
%{_libdir}/python2.4/site-packages/glite/data/__init__.pyc
%{_libdir}/python2.4/site-packages/glite/data/__init__.pyo
%{_libdir}/python2.4/site-packages/glite/__init__.py
%{_libdir}/python2.4/site-packages/glite/__init__.pyc
%{_libdir}/python2.4/site-packages/glite/__init__.pyo
%dir %{_includedir}/glite/
%dir %{_includedir}/glite/data/
%dir %{_includedir}/glite/data/agents/
%{_includedir}/glite/data/agents/url-utility.h
%dir %{_includedir}/glite/data/agents/sd/
%{_includedir}/glite/data/agents/sd/sd-predicates.h
%{_includedir}/glite/data/agents/sd/SDCache.h
%{_includedir}/glite/data/agents/sd/SDConfig.h
%{_includedir}/glite/data/agents/sd/ServiceDiscovery.h
%{_includedir}/glite/data/agents/sd/ServiceDiscoveryException.h
%{_includedir}/glite/data/agents/sd/SDTypes.h
%{_includedir}/glite/data/agents/sd/sd-utility.h
%{_includedir}/glite/data/agents/UserProxyEnv.h
%dir %{_includedir}/glite/data/agents/cred/
%{_includedir}/glite/data/agents/cred/cred-utility.h
%{_includedir}/glite/data/agents/cred/CredService.h
%{_includedir}/glite/data/agents/cred/CredServiceFactory.h
%{_includedir}/glite/data/agents/cred/CredServiceException.h
%{_includedir}/glite/data/agents/Url.h
%{_includedir}/glite/data/agents/glite-types.h
%{_includedir}/glite/data/agents/surl-utility.h
%dir %{_includedir}/glite/data/agents/model/
%{_includedir}/glite/data/agents/model/Property.h
%{_includedir}/glite/data/agents/model/Se.h
%dir %{_includedir}/glite/data/agents/dao/
%{_includedir}/glite/data/agents/dao/DAOContextFactory.h
%dir %{_includedir}/glite/data/agents/dao/oracle/
%{_includedir}/glite/data/agents/dao/oracle/Statements.h
%{_includedir}/glite/data/agents/dao/oracle/OracleDAOContext.h
%{_includedir}/glite/data/agents/dao/oracle/OracleDAO.h
%{_includedir}/glite/data/agents/dao/oracle/StatementPtr.h
%{_includedir}/glite/data/agents/dao/oracle/StreamPtr.h
%{_includedir}/glite/data/agents/dao/oracle/ResultSetPtr.h
%dir %{_includedir}/glite/data/agents/dao/mysql/
%{_includedir}/glite/data/agents/dao/mysql/MySqlDAOContext.h
%{_includedir}/glite/data/agents/dao/dao-utility.h
%{_includedir}/glite/data/agents/dao/SeDAO.h
%{_includedir}/glite/data/agents/dao/DAOException.h
%{_includedir}/glite/data/agents/dao/dao-types.h
%{_includedir}/glite/data/agents/dao/DAOContext.h
%dir %{_includedir}/glite/data/agents/extra/
%{_includedir}/glite/data/agents/extra/options.inl
%{_includedir}/glite/data/agents/extra/Handle.h
%{_includedir}/glite/data/agents/extra/options.h
%{_includedir}/glite/data/agents/extra/XmlPatternsList.h
%{_includedir}/glite/data/agents/extra/PatternList.h
%{_includedir}/glite/data/agents/extra/utility.h
%{_includedir}/glite/data/agents/extra/TempFile.h
%{_includedir}/glite/data/agents/extra/TSS.inl
%{_includedir}/glite/data/agents/extra/TSS.h
%{_includedir}/glite/data/agents/extra/ActiveObject.h
%{_includedir}/glite/data/agents/Guid.h
%dir %{_includedir}/glite/data/agents/python/
%{_includedir}/glite/data/agents/python/PyHelper.h
%{_includedir}/glite/data/agents/python/PythonException.h
%{_includedir}/glite/data/agents/AgentExceptions.h
%dir %{_datadir}/test/
%dir %{_datadir}/test/glite-data-agents-common/
%dir %{_datadir}/test/glite-data-agents-common/bin/
%{_datadir}/test/glite-data-agents-common/bin/glite_data_agents_common_test_extra
%{_datadir}/test/glite-data-agents-common/bin/glite_data_agents_common_test_python
%{_datadir}/test/glite-data-agents-common/bin/glite_data_agents_common_extra_test_options
%{_datadir}/test/glite-data-agents-common/bin/glite_data_agents_common_test_cred
%{_datadir}/test/glite-data-agents-common/bin/glite_data_agents_common_test_regressions_19357
%{_datadir}/test/glite-data-agents-common/bin/glite_data_agents_common_test_dao
%{_datadir}/test/glite-data-agents-common/bin/glite_data_agents_common_test_stress_sd
%{_datadir}/test/glite-data-agents-common/bin/glite_data_agents_common_test_sd
%{_datadir}/test/glite-data-agents-common/bin/glite_data_agents_common_test_common
%{_datadir}/test/glite-data-agents-common/bin/glite_data_agents_common_test_dao_oracle
%dir %{_datadir}/config/
%dir %{_datadir}/config/glite-data-agents-common/
%dir %{_datadir}/config/glite-data-agents-common/config-templates/
%{_datadir}/config/glite-data-agents-common/config-templates/agents-cred-myproxy.config-template.xml
%{_datadir}/config/glite-data-agents-common/config-templates/agents-python.config-template.xml
%{_datadir}/config/glite-data-agents-common/config-templates/agents-sd.config-template.xml
%{_datadir}/config/glite-data-agents-common/config-templates/agents-dao-mysql.config-template.xml
%{_datadir}/config/glite-data-agents-common/config-templates/agents-dao-oracle.config-template.xml
%dir %{_defaultdocdir}/glite-data-agents-common/
%{_defaultdocdir}/glite-data-agents-common/RELEASE-NOTES
%{_defaultdocdir}/glite-data-agents-common/README.html
%dir %{_defaultdocdir}/glite-data-agents-common/html/
%{_defaultdocdir}/glite-data-agents-common/html/README.html
%{_defaultdocdir}/glite-data-agents-common/html/TEST.html
%{_defaultdocdir}/glite-data-agents-common/html/INSTALL.html
%{_defaultdocdir}/glite-data-agents-common/TEST.html
%{_defaultdocdir}/glite-data-agents-common/LICENSE
%{_defaultdocdir}/glite-data-agents-common/INSTALL.html
%{_defaultdocdir}/glite-data-agents-common/EDG-LICENSE

%changelog
 
